## org.gnu.gtk
Class CellEditable

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.CellEditable

public class CellEditable
extends GObject

Constructor Summary
`CellEditable()`

Method Summary
`void` `addListener(CellEditableListener listener)` Register an object to handle button events.
`void` `editingDone()`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `removeListener(CellEditableListener listener)` Removes a listener
`void` `removeWidget()`
`void` `startEditing(Event event)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellEditable

    public CellEditable()

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### startEditing

    public void startEditing(Event event)

### editingDone

    public void editingDone()

### removeWidget

    public void removeWidget()

### addListener

    public void addListener(CellEditableListener listener)

  Register an object to handle button events.

  See Also:
    `CellEditableListener`

### removeListener

    public void removeListener(CellEditableListener listener)

  Removes a listener

  See Also:
    `addListener(CellEditableListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`